#define VERSIONS_NUMMER "1.3.4"


#define MODEMDEVICE "/dev/ttyS0"
//COM1 = /dev/ttyS0 -- COM2 = /dev/ttyS1 -- ...
#define BAUDRATE B19200

#define TRUE 1
#define FALSE 0

#define ASCII_1 0x30	//"0"
#define ASCII_2 0x31	//"1"
#define ASCII_3 0x78	//"x"
#define ASCII_4 0x72	//"r"
#define ASCII_5 0x74	//"t"


//Kommandos (send (S))
#define CMD_SETUP_S 1
#define CMD_GET_PORT_S 2
#define CMD_SET_PORT_S 3
#define CMD_GET_OPTION_S 4
#define CMD_SET_OPTION_S 5
//Antworten der Relaiskarte (receive (R))
#define CMD_SETUP_R 254
#define CMD_GET_PORT_R 253
#define CMD_SET_PORT_R 252
#define CMD_GET_OPTION_R 251
#define CMD_SET_OPTION_R 250


#define MAX_PARAMETER 100
#define EINGABE_OPT_S_STRINGLAENGE 8

#define EINGABE_OPT_F_STRINGLAENGE 2

#define EMPFANG_EINFACH_LOOP 20
#define EMPFANG_EINFACH_TIMEOUT 1000
#define EMPFANG_EINFACH_DATENLAENGE 4
#define SENDEN_EINFACH_DATENLAENGE 4

#define EMPFANG_ERWEITERT_LOOP 40
#define EMPFANG_ERWEITERT_TIMEOUT 1000
#define EMPFANG_ERWEITERT_DANTENLAENGE 4
#define EMPFANG_ERWEITERT_DATEN_FELD_X 258
#define EMPFANG_ERWEITERT_DATEN_FELD_Y 4



//Funktionen
void HILFE();
bool ZUFALLSZAHL();//Gibt per Zufall eine 0 oder 1 zurueck - returns either a 0 or a 1 randomly
unsigned char EMPFANG_EINFACH(unsigned long loop, unsigned long timeout);//bei der Uebergabe von NULL NULL werden die Standarts genutzt!
unsigned int EMPFANG_ERWEITERT(unsigned long loop, unsigned long timeout);
bool SENDEN(unsigned char *sende_daten,unsigned int anzahl_daten);//Senderoutine
unsigned char GET_STATUS(unsigned char relaiskarte);//Gibt den Status der jeweiligen Relaiskarte zurueck
void ENDE_FEHLER(void);

unsigned char OPT_R_1();

void OPT_S_1();
unsigned char OPT_S_2(unsigned char relaiskarte);//Stringverarbeitung
void OPT_S_3(unsigned char relaiskarte,unsigned char steuerbit);

void OPT_G_1(unsigned char relaiskarte);

void OPT_I_1();

void OPT_D_1();

void OPT_F_1();

unsigned char OPT_F_2(unsigned char relaiskarte);//string processing
//Debugs!
//#define DEBUG_EMPFANG_EINFACH_1 1
